---
title: llarp::util::Semaphore

---

# llarp::util::Semaphore





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[Semaphore](Classes/classllarp_1_1util_1_1Semaphore.md#function-semaphore)**(size_t count) |
| void | **[notify](Classes/classllarp_1_1util_1_1Semaphore.md#function-notify)**() |
| void | **[wait](Classes/classllarp_1_1util_1_1Semaphore.md#function-wait)**() |
| bool | **[waitFor](Classes/classllarp_1_1util_1_1Semaphore.md#function-waitfor)**(std::chrono::microseconds timeout) |

## Public Functions Documentation

### function Semaphore

```cpp
inline Semaphore(
    size_t count
)
```


### function notify

```cpp
inline void notify()
```


### function wait

```cpp
inline void wait()
```


### function waitFor

```cpp
inline bool waitFor(
    std::chrono::microseconds timeout
)
```


-------------------------------

Updated on 2023-01-09 at 19:27:44 +0000